import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { BsModalService } from 'ngx-bootstrap/modal';
import { BsModalRef } from 'ngx-bootstrap/modal/bs-modal-ref.service';
export declare class ItemTextAssetsComponent implements OnInit, OnChanges {
    private modalService;
    _DomSanitizationService: DomSanitizer;
    assetData: any;
    imagePath: any;
    assetsPosition: any;
    promptText: any;
    replaceAsset: any;
    imageUrl: any;
    modalRef: BsModalRef;
    myInterval: number;
    assetArray: any;
    assetCurrentData: any;
    ngOnChanges(changes: SimpleChanges): void;
    constructor(modalService: BsModalService, _DomSanitizationService: DomSanitizer);
    ngOnInit(): void;
    allReplace(retStr: any, obj: any): any;
    splitStringForType(type: any, value: any): string;
    clickImage(e: any, template: any): void;
    createQuestion(): void;
}
